"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UtxoBlock = void 0;
const utils_1 = require("../../utils/utils");
const BlockBase_1 = require("../BlockBase");
class UtxoBlock extends BlockBase_1.BlockBase {
    get number() {
        return this.data.height;
    }
    get blockHash() {
        return this.data.hash;
    }
    get stdBlockHash() {
        return this.data.hash;
    }
    get unixTimestamp() {
        return this.data.time;
    }
    get transactionIds() {
        return this.data.tx.map((tx) => tx.txid ? (0, utils_1.prefix0x)(tx.txid) : ((0, utils_1.prefix0x)(tx)));
    }
    get stdTransactionIds() {
        // todo: @Luka: tx is already Id on DOGE
        return this.data.tx.map((tx) => tx.txid ? tx.txid : tx);
    }
    get transactionCount() {
        return this.data.tx.length;
    }
}
exports.UtxoBlock = UtxoBlock;
//# sourceMappingURL=UtxoBlock.js.map