import { AlgoBlock, ReadRpcInterface } from "..";
import { AlgoTransaction } from "../base-objects/TransactionBase";
import { AlgoMccCreate, ChainType, IAlgoGetBlockHeaderRes, IAlgoListTransactionRes, IAlgoLitsTransaction, IAlgoStatusRes } from "../types";
import { IAlgoCert } from "../types/algoTypes";
import { MccLoggingOptionsFull } from "../types/genericMccTypes";
export declare class ALGOImplementation implements ReadRpcInterface {
    algodClient: any;
    indexerClient: any;
    chainType: ChainType;
    inRegTest: boolean;
    loggingObject: MccLoggingOptionsFull;
    constructor(createConfig: AlgoMccCreate);
    isHealthy(): Promise<boolean>;
    getStatus(): Promise<IAlgoStatusRes>;
    getBlockHeaderCert(round: number): Promise<IAlgoCert>;
    getBlockHeader(round?: number): Promise<IAlgoGetBlockHeaderRes>;
    getBlock(round?: number): Promise<AlgoBlock | null>;
    getBlockHeight(): Promise<number>;
    /**
     * Get trasnaction from node by its id
     * @param txid base32 encoded txid || standardized txid (prefixed or unprefixed)
     * @returns
     */
    getTransaction(txid: string): Promise<AlgoTransaction | null>;
    listTransactions(options?: IAlgoLitsTransaction): Promise<IAlgoListTransactionRes>;
}
//# sourceMappingURL=AlgoRpcImplementation.d.ts.map