import { AlgoMccCreate, MCC, UtxoMccCreate, XrpMccCreate } from ".";
export { RPCInterface, ReadRpcInterface, WriteRpcInterface, TransactionSuccessStatus, getTransactionOptions, ChainType, IIGetBlockRes, IIGetTransactionRes, } from "./types/genericMccTypes";
export * from "./types/xrpTypes";
export { UtxoMccCreate, UtxoRpcInterface, IIUtxoVin, IIUtxoVout, IUtxoScriptPubKey, UtxoVout, IUtxoScriptSig, IUtxoWalletRes, getAddressByLabelResponse, IUtxoTransactionListRes, IUtxoGetBlockHeaderRes, IUtxoGetBlockRes, IUtxoVinTransaction, IUtxoVoutTransaction, IUtxoGetTransactionRes, } from "./types/utxoTypes";
export * from "./types/dogeTypes";
export { AlgoMccCreate, IAlgoStatusRes, IAlgoBlockHeaderData, IAlgoBlockData, IAlgoGetBlockHeaderRes, IAlgoGetBlockRes, IAlgoSignature, IAlgoPaymentTransaction, IAlgoTransaction, IAlgoLitsTransaction, IAlgoGetTransactionRes, IAlgoListTransactionRes, IAlgoGetFullTransactionRes, } from "./types/algoTypes";
export * from "./types/axiosRateLimitTypes";
export declare type MccCreate = XrpMccCreate | AlgoMccCreate | UtxoMccCreate;
export declare type MccClient = MCC.XRP | MCC.ALGO | MCC.DOGE | MCC.LTC | MCC.BTC;
export declare type MccUtxoClient = MCC.BTC | MCC.DOGE | MCC.LTC;
export { optional, getOptionalKeys } from "./utils/typeReflection";
//# sourceMappingURL=types.d.ts.map