"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unixEpochToRippleTime = exports.rippleTimeToUnixEpoch = exports.xrp_ensure_data = void 0;
const constants_1 = require("./constants");
const utils_1 = require("./utils");
////////////////////////////
//// MCC Error handling ////
////////////////////////////
function xrp_ensure_data(data) {
    if (data.result.status === "error") {
        throw (0, utils_1.MccError)(data);
    }
}
exports.xrp_ensure_data = xrp_ensure_data;
function rippleTimeToUnixEpoch(timestamp) {
    return timestamp + constants_1.XRP_UTD;
}
exports.rippleTimeToUnixEpoch = rippleTimeToUnixEpoch;
function unixEpochToRippleTime(timestamp) {
    return timestamp - constants_1.XRP_UTD;
}
exports.unixEpochToRippleTime = unixEpochToRippleTime;
//# sourceMappingURL=xrpUtils.js.map